if(KITHand_FOUND)
	return()
endif()
set(KITHand_FOUND TRUE)


get_filename_component(CURRENT_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
if(NOT TARGET KITHand AND NOT KITHand_BINARY_DIR)
    	include(${CURRENT_CMAKE_DIR}/KITHandVersion.cmake)
	include(${CURRENT_CMAKE_DIR}/KITHandTargets.cmake)
endif()

message(STATUS "Checking if KITHand lib installed or build dir at ${CURRENT_CMAKE_DIR}")
# source build
if(EXISTS "${CURRENT_CMAKE_DIR}/CMakeCache.txt")
    message(STATUS "KITHand lib from build dir")

    set(KITHand_INCLUDE_DIRS "@PROJECT_SOURCE_DIR@/src")

    set(KITHand_LIB_DIRS "@CMAKE_BINARY_DIR@/lib")

else()
    message(STATUS "KITHand lib is installed")
    set(KITHand_INCLUDE_DIRS "${CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@include")

    set(KITHand_LIB_DIRS "${CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@lib")

endif()

# These are the IMPORTED targets created by KITHandTargest.cmake
set(KITHand_LIBRARIES "KITHandCommunicationDriver" "KITHandAdvancedWidget")
set(KITHand_EXECUTABLE "KITHandGui")

set(KITHand_COMPILE_DEFINITIONS " @KITHand_COMPILE_DEFINITIONS@ ")



